Bug 172504 - Grub netboot won't compile
Grub netboot won't compile
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-05 09:59 EST by Jon Saville
Modified: 2008-03-09 13:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 13:20:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Saville 2005-11-05 09:59:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.7.12) Gecko/20050919 Firefox/1.0.7

Description of problem:
I need pxegrub and am attempting to build it on FC4, freshly installed with 'Everything' to a VIA C3/Epia motherboard.

Grub compiles fine without netboot, but attempting to build diskless support produces a compile-time error.

Apologies if this is the wrong place for this, but I've searched everywhere I can think of. I noticed there were no GCC4 patches for the netboot directory - if this is the source of the errors does this mean building grub netboot on FC4 isn't supported yet?

Have tried this with stock grub-0.95-13.src.rpm and grub-0.95-16.src.rpm.

Version-Release number of selected component (if applicable):
grub-0.95-16.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. Install grub-0.95-16.src.rpm
2. Add '--enable-diskless --enable-via-rhine' to the grub.spec %configure line
3. Build with 'rpmbuild -bb grub.spec'


Actual Results:  [...]
Making all in netboot
make[2]: Entering directory `/usr/src/redhat/BUILD/grub-0.95/netboot'
[...]
if gcc -DHAVE_CONFIG_H -I. -I. -I.. -I../stage2 -I../stage1  -Wall -Wunused -Wshadow -Wpointer-arith -falign-jumps=1 -falign-loops=1 -falign-functions=1 -Wundef  -fno-builtin -nostdinc -DFSYS_TFTP=1 -DINCLUDE_VIA_RHINE=1 -DCONGESTED=1 -DNE_SCAN=0x280,0x300,0x320,0x340 -DWD_DEFAULT_MEM=0xCC000 -Os -g -fno-strict-aliasing -Wall -Werror -Wno-shadow -Wno-pointer-sign -MT libdrivers_a-main.o -MD -MP -MF ".deps/libdrivers_a-main.Tpo" -c -o libdrivers_a-main.o `test -f 'main.c' || echo './'`main.c; \
then mv -f ".deps/libdrivers_a-main.Tpo" ".deps/libdrivers_a-main.Po"; else rm -f ".deps/libdrivers_a-main.Tpo"; exit 1; fi
main.c:57: error: static declaration of 'bootp_data' follows non-static declaration
./etherboot.h:534: error: previous declaration of 'bootp_data' was here
main.c:59: error: static declaration of 'end_of_rfc1533' follows non-static declaration
./etherboot.h:536: error: previous declaration of 'end_of_rfc1533' was here
make[2]: *** [libdrivers_a-main.o] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/grub-0.95/netboot'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/grub-0.95'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.26648 (%build)

Expected Results:  Successful build.

Additional info:
Comment 1 Christian Iseli 2007-01-22 06:26:56 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 petrosyan 2008-03-09 13:20:16 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.